## leptonlib 1.79.0

=== CMakeLists.txt ===
#
# leptonica
#

###############################################################################
#
# cmake settings
#
###############################################################################

cmake_minimum_required(VERSION 2.8.11)
cmake_policy(SET CMP0054 NEW)

# In-source builds are disabled.
if ("${CMAKE_CURRENT_SOURCE_DIR}" STREQUAL "${CMAKE_CURRENT_BINARY_DIR}")
    message(FATAL_ERROR
        "CMake generation is not possible within the source directory!"
        "\n Remove the CMakeCache.txt file and try again from another folder, e.g.:"
        "\n "
        "\n rm CMakeCache.txt"
        "\n mkdir build"
        "\n cd build"
        "\n cmake .."
    )
endif()

set(CMAKE_MODULE_PATH "${CMAKE_MODULE_PATH};${CMAKE_CURRENT_SOURCE_DIR}/cmake")

set(EXECUTABLE_OUTPUT_PATH "${CMAKE_CURRENT_BINARY_DIR}/bin")
set(CMAKE_RUNTIME_OUTPUT_DIRECTORY "${EXECUTABLE_OUTPUT_PATH}")

# Use solution folders.
set_property(GLOBAL PROPERTY USE_FOLDERS ON)
set_property(GLOBAL PROPERTY PREDEFINED_TARGETS_FOLDER "CMake Targets")

###############################################################################
#
# project settings
#
###############################################################################

project(leptonica C CXX)

set(VERSION_MAJOR 1)
set(VERSION_MINOR 79)
set(VERSION_PATCH 0)
set(VERSION_PLAIN ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
set(MINIMUM_WEBPMUX_VERSION 0.5.0)

option(BUILD_PROG "Build utility programs" OFF)
if (WIN32)
    option(SW_BUILD "Build with sw" ON)
else()
    option(SW_BUILD "Build with sw" OFF)
endif()
if(UNIX)
    option(SYM_LINK "Create symlink leptonica -> lept on UNIX" OFF)
endif()

if(NOT SW_BUILD)
    find_package(GIF)
    find_package(JPEG)
    find_package(PNG)
    find_package(TIFF)
    find_package(ZLIB)
    find_package(PkgConfig)
    if (PKG_CONFIG_FOUND)
        pkg_check_modules(WEBP libwebp QUIET)
        pkg_check_modules(WEBPMUX libwebpmux>=${MINIMUM_WEBPMUX_VERSION} QUIET)
        pkg_check_modules(JP2K libopenjp2>=2.0 QUIET)
    endif()
    if(NOT WEBP)
        find_path(WEBP_INCLUDE_DIR /webp/decode.h)
        find_library(WEBP_LIBRARY NAMES webp)
        if (WEBP_INCLUDE_DIR AND WEBP_LIBRARY)
            set(WEBP 1)
            set(WEBP_FOUND TRUE)
            set(WEBP_LIBRARIES ${WEBP_LIBRARY})
            set(WEBP_INCLUDE_DIRS ${WEBP_INCLUDE_DIR})
        endif()
    endif()
    if(NOT WEBPMUX)
        find_path(WEBPMUX_INCLUDE_DIR /webp/mux.h)
        #TODO:  check minimal required version
        if(NOT WEBPMUX_INCLUDE_DIR)
            message(STATUS "Can not find: /webp/mux.h")
        endif()
        if(NOT "${WEBPMUX_INCLUDE_DIR}" STREQUAL "${WEBP_INCLUDE_DIR}")
            set(WEBP_INCLUDE_DIRS ${WEBP_INCLUDE_DIRS} ${WEBPMUX_INCLUDE_DIR})
        endif()
        find_library(WEBPMUX_LIBRARY NAMES webpmux)
        if (WEBPMUX_INCLUDE_DIR AND WEBPMUX_LIBRARY)
            set(WEBPMUX 1)
            set(HAVE_LIBWEBP_ANIM 1)
            set(WEBPMUX_FOUND TRUE)
            set(WEBP_LIBRARIES ${WEBP_LIBRARIES} ${WEBPMUX_LIBRARY})
        endif()
    endif()
    if(NOT JP2K)
        find_path(JP2K_INCLUDE_DIR /openjpeg-2.3/openjpeg.h)
        find_library(JP2K_LIBRARY NAMES openjp2)
        if (JP2K_INCLUDE_DIR AND JP2K_LIBRARY)
             set(JP2K 1)
             set(JP2K_FOUND TRUE)
             set(JP2K_LIBRARIES ${JP2K_LIBRARY})
             set(JP2K_INCLUDE_DIRS ${JP2K_INCLUDE_DIR})
             set(HAVE_LIBJP2K 1)
        endif()
    endif()
else() # SW_BUILD=ON
    find_package(SW REQUIRED)
    sw_add_package(
        org.sw.demo.gif
        org.sw.demo.jpeg
        org.sw.demo.glennrp.png
        org.sw.demo.tiff
        org.sw.demo.webmproject.webp
        org.sw.demo.uclouvain.openjpeg.openjp2
    )
    sw_execute()

    add_definitions(
        -DHAVE_LIBGIF=1
        -DHAVE_LIBJPEG=1
        -DHAVE_LIBPNG=1
        -DHAVE_LIBTIFF=1
        -DHAVE_LIBWEBP=1
        -DHAVE_LIBWEBP_ANIM=1
        -DHAVE_LIBZ=1

        -DHAVE_LIBJP2K=1
        -DLIBJP2K_HEADER="openjpeg.h"
    )
endif()

###############################################################################
#
# compiler and linker
#
###############################################################################

if(CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CLANG 1)
endif()

# Set a default build type if none was specified
if(NOT CMAKE_BUILD_TYPE)
    message(STATUS "Setting build type to 'Release' as none was specified.")
    set(CMAKE_BUILD_TYPE Release CACHE STRING "Choose the type of build." FORCE)
    set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS "Debug" "Release")
else()
    message("CMAKE_BUILD_TYPE = ${CMAKE_BUILD_TYPE}")
endif()

include(CheckCCompilerFlag)
include(CheckCXXCompilerFlag)

macro(CHECK_CCXX_COMPILER_FLAG _FLAG _RESULT)
    check_c_compiler_flag(${_FLAG} C_HAS${_RESULT})
    check_cxx_compiler_flag(${_FLAG} CXX_HAS${_RESULT})
endmacro()

if (MSVC)
    add_definitions(-D_CRT_SECURE_NO_WARNINGS)
    add_compile_options("$<$<CONFIG:Release>:/W1;/Ox>")
    add_compile_options("$<$<CONFIG:Debug>:/W4;/DDEBUG>")
    if (NOT CLANG)
        set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} /MP")
    endif()
else()
   if (CMAKE_BUILD_TYPE MATCHES "[Dd][Ee][Bb][Uu][Gg]")
        # Enable warnings and Optimize for Debugging
        foreach(FLAG -Wall -Wextra -Werror=format-security -pedantic -Og -g3 "-fdebug-prefix-map=${CMAKE_SOURCE_DIR}=.")
            string(REGEX REPLACE "[^A-Za-z0-9]" "_" flag_var "${FLAG}")
            check_ccxx_compiler_flag(${FLAG} ${flag_var})
            if(C_HAS${flag_var})
                set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} ${FLAG}")
            endif()
            if(CXX_HAS${flag_var})
                set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} ${FLAG}")
            endif()
        endforeach()
        add_definitions(-DDEBUG)
    endif()
endif()

###############################################################################
#
# configure
#
###############################################################################

set(AUTOCONFIG_SRC ${CMAKE_CURRENT_BINARY_DIR}/config_auto.h.in)
set(AUTOCONFIG ${CMAKE_CURRENT_BINARY_DIR}/src/config_auto.h)
set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} "${CMAKE_PREFIX_PATH}/include" "${CMAKE_INSTALL_PREFIX}/include")

include(Configure)

configure_file(${AUTOCONFIG_SRC} ${AUTOCONFIG} @ONLY)

set(INCLUDE_DIR "${CMAKE_INSTALL_PREFIX}/include" "${CMAKE_INSTALL_PREFIX}/include/leptonica")

###############################################################################
#
# Show summary
#
###############################################################################
message( STATUS )
message( STATUS "General configuration for Leptonica ${VERSION_PLAIN}")
message( STATUS "--------------------------------------------------------")
message( STATUS "Build type: ${CMAKE_BUILD_TYPE}")
message( STATUS "Compiler: ${CMAKE_C_COMPILER_ID}")
message( STATUS "C compiler options: ${CMAKE_C_FLAGS_${CMAKE_BUILD_TYPE_UP}} ${CMAKE_C_FLAGS}")
message( STATUS "Linker options: ${CMAKE_EXE_LINKER_FLAGS} ${CMAKE_EXE_LINKER_FLAGS_${CMAKE_BUILD_TYPE_UP}}")
message( STATUS "Install directory: ${CMAKE_INSTALL_PREFIX}")
message( STATUS )
message( STATUS "Build with sw [SW_BUILD]: ${SW_BUILD}")
message( STATUS "Build utility programs [BUILD_PROG]: ${BUILD_PROG}")
if(NOT SW_BUILD)
    message( STATUS "Used ZLIB library: ${ZLIB_LIBRARIES}")
    message( STATUS "Used PNG library:  ${PNG_LIBRARIES}")
    message( STATUS "Used JPEG library: ${JPEG_LIBRARIES}")
    message( STATUS "Used JP2K library: ${JP2K_LIBRARIES}")
    message( STATUS "Used TIFF library: ${TIFF_LIBRARIES}")
    message( STATUS "Used GIF library:  ${GIF_LIBRARIES}")
    message( STATUS "Used WEBP library: ${WEBP_LIBRARIES}")
endif()
message( STATUS "--------------------------------------------------------")
message( STATUS )

###############################################################################
#
# build
#
###############################################################################

add_definitions(-DHAVE_CONFIG_H)

include_directories(${CMAKE_CURRENT_SOURCE_DIR}/src)
include_directories(${CMAKE_CURRENT_BINARY_DIR}/src)

if (BUILD_PROG)
add_subdirectory(prog)
endif()

add_subdirectory(src)

get_target_property(leptonica_NAME leptonica NAME)
get_target_property(leptonica_VERSION leptonica VERSION)
get_target_property(leptonica_OUTPUT_NAME leptonica OUTPUT_NAME)

configure_file(lept.pc.cmake ${CMAKE_CURRENT_BINARY_DIR}/lept.pc @ONLY)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/LeptonicaConfig-version.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig-version.cmake @ONLY)
configure_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/LeptonicaConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig.cmake @ONLY)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/lept.pc DESTINATION lib/pkgconfig)
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig.cmake
    ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig-version.cmake
    DESTINATION cmake)

########################################
# uninstall target
########################################
if(NOT TARGET uninstall)
    configure_file(
        "${CMAKE_CURRENT_SOURCE_DIR}/cmake/templates/cmake_uninstall.cmake.in"
        "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
        IMMEDIATE @ONLY)

    add_custom_target(uninstall
        COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
endif()

###############################################################################

=== prog/CMakeLists.txt ===
########################################
# FUNCTION add_prog_target
########################################
function(add_prog_target target)
    set                             (${target}_src "${ARGN}")
    if (WIN32)
        set_source_files_properties (${${target}_src} PROPERTIES LANGUAGE CXX)
    endif()
    add_executable                  (${target} ${${target}_src})
    if (BUILD_SHARED_LIBS)
        target_compile_definitions  (${target} PRIVATE -DLIBLEPT_IMPORTS)
    endif()
    target_link_libraries           (${target} leptonica)
    set_target_properties           (${target} PROPERTIES FOLDER prog)
endfunction(add_prog_target)
########################################

add_prog_target(adaptmap_reg adaptmap_reg.c)
add_prog_target(adaptnorm_reg adaptnorm_reg.c)
add_prog_target(affine_reg affine_reg.c)
add_prog_target(alltests_reg alltests_reg.c)
add_prog_target(alphaops_reg alphaops_reg.c)
add_prog_target(alphaxform_reg alphaxform_reg.c)
add_prog_target(baseline_reg baseline_reg.c)
add_prog_target(bilateral1_reg bilateral1_reg.c)
add_prog_target(bilateral2_reg bilateral2_reg.c)
add_prog_target(bilinear_reg bilinear_reg.c)
add_prog_target(binarize_reg binarize_reg.c)
add_prog_target(binmorph1_reg binmorph1_reg.c)
add_prog_target(binmorph2_reg binmorph2_reg.c)
add_prog_target(binmorph3_reg binmorph3_reg.c)
add_prog_target(binmorph4_reg binmorph4_reg.c)
add_prog_target(binmorph5_reg binmorph5_reg.c)
add_prog_target(blackwhite_reg blackwhite_reg.c)
add_prog_target(blend1_reg blend1_reg.c)
add_prog_target(blend2_reg blend2_reg.c)
add_prog_target(blend3_reg blend3_reg.c)
add_prog_target(blend4_reg blend4_reg.c)
add_prog_target(blend5_reg blend5_reg.c)
add_prog_target(boxa1_reg boxa1_reg.c)
add_prog_target(boxa2_reg boxa2_reg.c)
add_prog_target(boxa3_reg boxa3_reg.c)
add_prog_target(boxa4_reg boxa4_reg.c)
add_prog_target(bytea_reg bytea_reg.c)
add_prog_target(ccthin1_reg ccthin1_reg.c)
add_prog_target(ccthin2_reg ccthin2_reg.c)
add_prog_target(checkerboard_reg checkerboard_reg.c)
add_prog_target(cmapquant_reg cmapquant_reg.c)
add_prog_target(colorcontent_reg colorcontent_reg.c)
add_prog_target(coloring_reg coloring_reg.c)
add_prog_target(colorize_reg colorize_reg.c)
add_prog_target(colormask_reg colormask_reg.c)
add_prog_target(colormorph_reg colormorph_reg.c)
add_prog_target(colorquant_reg colorquant_reg.c)
add_prog_target(colorseg_reg colorseg_reg.c)
add_prog_target(colorspace_reg colorspace_reg.c)
add_prog_target(compare_reg compare_reg.c)
add_prog_target(compfilter_reg compfilter_reg.c)
add_prog_target(conncomp_reg conncomp_reg.c)
add_prog_target(conversion_reg conversion_reg.c)
add_prog_target(convolve_reg convolve_reg.c)
add_prog_target(dewarp_reg dewarp_reg.c)
add_prog_target(distance_reg distance_reg.c)
add_prog_target(dither_reg dither_reg.c)
add_prog_target(dna_reg dna_reg.c)
add_prog_target(dwamorph1_reg dwamorph1_reg.c dwalinear.3.c dwalinearlow.3.c)
add_prog_target(dwamorph2_reg dwamorph2_reg.c dwalinear.3.c dwalinearlow.3.c)
add_prog_target(edge_reg edge_reg.c)
add_prog_target(enhance_reg enhance_reg.c)
add_prog_target(equal_reg equal_reg.c)
add_prog_target(expand_reg expand_reg.c)
add_prog_target(extrema_reg extrema_reg.c)
add_prog_target(falsecolor_reg falsecolor_reg.c)
add_prog_target(fhmtauto_reg fhmtauto_reg.c)
add_prog_target(files_reg files_reg.c)
add_prog_target(findcorners_reg findcorners_reg.c)
add_prog_target(findpattern_reg findpattern_reg.c)
add_prog_target(flipdetect_reg flipdetect_reg.c)
add_prog_target(fmorphauto_reg fmorphauto_reg.c)
add_prog_target(fpix1_reg fpix1_reg.c)
add_prog_target(fpix2_reg fpix2_reg.c)
add_prog_target(genfonts_reg genfonts_reg.c)
add_prog_target(gifio_reg gifio_reg.c)
add_prog_target(grayfill_reg grayfill_reg.c)
add_prog_target(graymorph1_reg graymorph1_reg.c)
add_prog_target(graymorph2_reg graymorph2_reg.c)
add_prog_target(grayquant_reg grayquant_reg.c)
add_prog_target(hardlight_reg hardlight_reg.c)
add_prog_target(heap_reg heap_reg.c)
add_prog_target(insert_reg insert_reg.c)
add_prog_target(ioformats_reg ioformats_reg.c)
add_prog_target(iomisc_reg iomisc_reg.c)
add_prog_target(italic_reg italic_reg.c)
add_prog_target(jbclass_reg jbclass_reg.c)
add_prog_target(jp2kio_reg jp2kio_reg.c)
add_prog_target(jpegio_reg jpegio_reg.c)
add_prog_target(kernel_reg kernel_reg.c)
add_prog_target(label_reg label_reg.c)
add_prog_target(lineremoval_reg lineremoval_reg.c)
add_prog_target(locminmax_reg locminmax_reg.c)
add_prog_target(logicops_reg logicops_reg.c)
add_prog_target(lowaccess_reg lowaccess_reg.c)
add_prog_target(lowsat_reg lowsat_reg.c)
add_prog_target(maze_reg maze_reg.c)
add_prog_target(mtiff_reg mtiff_reg.c)
add_prog_target(multitype_reg multitype_reg.c)
add_prog_target(nearline_reg nearline_reg.c)
add_prog_target(newspaper_reg newspaper_reg.c)
add_prog_target(numa1_reg numa1_reg.c)
add_prog_target(numa2_reg numa2_reg.c)
add_prog_target(overlap_reg overlap_reg.c)
add_prog_target(pageseg_reg pageseg_reg.c)
add_prog_target(paintmask_reg paintmask_reg.c)
add_prog_target(paint_reg paint_reg.c)
add_prog_target(pdfio1_reg pdfio1_reg.c)
add_prog_target(pdfio2_reg pdfio2_reg.c)
add_prog_target(pdfseg_reg pdfseg_reg.c)
add_prog_target(pixa1_reg pixa1_reg.c)
add_prog_target(pixa2_reg pixa2_reg.c)
add_prog_target(pixadisp_reg pixadisp_reg.c)
add_prog_target(pixalloc_reg pixalloc_reg.c)
add_prog_target(pixcomp_reg pixcomp_reg.c)
add_prog_target(pixmem_reg pixmem_reg.c)
add_prog_target(pixserial_reg pixserial_reg.c)
add_prog_target(pixtile_reg pixtile_reg.c)
add_prog_target(pngio_reg pngio_reg.c)
add_prog_target(pnmio_reg pnmio_reg.c)
add_prog_target(projection_reg projection_reg.c)
add_prog_target(projective_reg projective_reg.c)
add_prog_target(psioseg_reg psioseg_reg.c)
add_prog_target(psio_reg psio_reg.c)
add_prog_target(pta_reg pta_reg.c)
add_prog_target(ptra1_reg ptra1_reg.c)
add_prog_target(ptra2_reg ptra2_reg.c)
add_prog_target(quadtree_reg quadtree_reg.c)
add_prog_target(rankbin_reg rankbin_reg.c)
add_prog_target(rankhisto_reg rankhisto_reg.c)
add_prog_target(rank_reg rank_reg.c)
add_prog_target(rasteropip_reg rasteropip_reg.c)
add_prog_target(rasterop_reg rasterop_reg.c)
add_prog_target(rectangle_reg rectangle_reg.c)
add_prog_target(rotate1_reg rotate1_reg.c)
add_prog_target(rotate2_reg rotate2_reg.c)
add_prog_target(scale_reg scale_reg.c)
add_prog_target(selio_reg selio_reg.c)
add_prog_target(shear1_reg shear1_reg.c)
add_prog_target(shear2_reg shear2_reg.c)
add_prog_target(skew_reg skew_reg.c)
add_prog_target(smallpix_reg smallpix_reg.c)
add_prog_target(smoothedge_reg smoothedge_reg.c)
add_prog_target(speckle_reg speckle_reg.c)
add_prog_target(splitcomp_reg splitcomp_reg.c)
add_prog_target(string_reg string_reg.c)
add_prog_target(subpixel_reg subpixel_reg.c)
add_prog_target(texturefill_reg texturefill_reg.c)
add_prog_target(threshnorm_reg threshnorm_reg.c)
add_prog_target(translate_reg translate_reg.c)
add_prog_target(warper_reg warper_reg.c)
add_prog_target(watershed_reg watershed_reg.c)
add_prog_target(webpio_reg webpio_reg.c)
add_prog_target(webpanimio_reg webpanimio_reg.c)
add_prog_target(wordboxes_reg wordboxes_reg.c)
add_prog_target(writetext_reg writetext_reg.c)
add_prog_target(xformbox_reg xformbox_reg.c)
add_prog_target(adaptmap_dark adaptmap_dark.c)
add_prog_target(arabic_lines arabic_lines.c)
add_prog_target(arithtest arithtest.c)
add_prog_target(autogentest1 autogentest1.c)
add_prog_target(autogentest2 autogentest2.c autogen.137.c)
add_prog_target(barcodetest barcodetest.c)
add_prog_target(binarize_set binarize_set.c)
add_prog_target(binarizefiles binarizefiles.c)
add_prog_target(bincompare bincompare.c)
add_prog_target(blendcmaptest blendcmaptest.c)
add_prog_target(buffertest buffertest.c)
add_prog_target(ccbordtest ccbordtest.c)
add_prog_target(cctest1 cctest1.c)
add_prog_target(cleanpdf cleanpdf.c)
add_prog_target(colorsegtest colorsegtest.c)
add_prog_target(comparepages comparepages.c)
add_prog_target(comparepixa comparepixa.c)
add_prog_target(comparetest comparetest.c)
add_prog_target(concatpdf concatpdf.c)
add_prog_target(contrasttest contrasttest.c)
add_prog_target(convertfilestopdf convertfilestopdf.c)
add_prog_target(convertfilestops convertfilestops.c)
add_prog_target(convertformat convertformat.c)
add_prog_target(convertsegfilestopdf convertsegfilestopdf.c)
add_prog_target(convertsegfilestops convertsegfilestops.c)
add_prog_target(converttogray converttogray.c)
add_prog_target(converttopdf converttopdf.c)
add_prog_target(converttops converttops.c)
add_prog_target(cornertest cornertest.c)
add_prog_target(corrupttest corrupttest.c)
add_prog_target(croptest croptest.c)
add_prog_target(croptext croptext.c)
add_prog_target(deskew_it deskew_it.c)
add_prog_target(dewarprules dewarprules.c)
add_prog_target(dewarptest1 dewarptest1.c)
add_prog_target(dewarptest2 dewarptest2.c)
add_prog_target(dewarptest3 dewarptest3.c)
add_prog_target(dewarptest4 dewarptest4.c)
add_prog_target(dewarptest5 dewarptest5.c)
add_prog_target(digitprep1 digitprep1.c)
add_prog_target(displayboxa displayboxa.c)
add_prog_target(displayboxes_on_pixa displayboxes_on_pixa.c)
add_prog_target(displaypix displaypix.c)
add_prog_target(displaypixa displaypixa.c)
add_prog_target(dwalineargen dwalineargen.c)
add_prog_target(fcombautogen fcombautogen.c)
add_prog_target(fhmtautogen fhmtautogen.c)
add_prog_target(fileinfo fileinfo.c)
add_prog_target(findbinding findbinding.c)
add_prog_target(find_colorregions find_colorregions.c)
add_prog_target(findpattern1 findpattern1.c)
add_prog_target(findpattern2 findpattern2.c)
add_prog_target(findpattern3 findpattern3.c)
add_prog_target(flipselgen flipselgen.c)
add_prog_target(fmorphautogen fmorphautogen.c)
add_prog_target(fpixcontours fpixcontours.c)
add_prog_target(gammatest gammatest.c)
add_prog_target(graphicstest graphicstest.c)
add_prog_target(graymorphtest graymorphtest.c)
add_prog_target(hashtest hashtest.c)
add_prog_target(histotest histotest.c)
add_prog_target(histoduptest histoduptest.c)
add_prog_target(htmlviewer htmlviewer.c)
add_prog_target(imagetops imagetops.c)
add_prog_target(jbcorrelation jbcorrelation.c)
add_prog_target(jbrankhaus jbrankhaus.c)
add_prog_target(jbwords jbwords.c)
add_prog_target(listtest listtest.c)
add_prog_target(livre_adapt livre_adapt.c)
add_prog_target(livre_hmt livre_hmt.c)
add_prog_target(livre_makefigs livre_makefigs.c)
add_prog_target(livre_orient livre_orient.c)
add_prog_target(livre_pageseg livre_pageseg.c)
add_prog_target(livre_seedgen livre_seedgen.c)
add_prog_target(livre_tophat livre_tophat.c)
add_prog_target(maketile maketile.c)
add_prog_target(maptest maptest.c)
add_prog_target(messagetest messagetest.c)
add_prog_target(misctest1 misctest1.c)
add_prog_target(modifyhuesat modifyhuesat.c)
add_prog_target(morphseq_reg morphseq_reg.c)
add_prog_target(morphtest1 morphtest1.c)
add_prog_target(numaranktest numaranktest.c)
add_prog_target(otsutest1 otsutest1.c)
add_prog_target(otsutest2 otsutest2.c)
add_prog_target(pagesegtest1 pagesegtest1.c)
add_prog_target(pagesegtest2 pagesegtest2.c)
add_prog_target(partifytest partifytest.c)
add_prog_target(partitiontest partitiontest.c)
add_prog_target(percolatetest percolatetest.c)
add_prog_target(pixaatest pixaatest.c)
add_prog_target(pixafileinfo pixafileinfo.c)
add_prog_target(plottest plottest.c)
add_prog_target(printimage printimage.c)
add_prog_target(printsplitimage printsplitimage.c)
add_prog_target(printtiff printtiff.c)
add_prog_target(rbtreetest rbtreetest.c)
add_prog_target(recog_bootnum1 recog_bootnum1.c)
add_prog_target(recog_bootnum2 recog_bootnum2.c)
add_prog_target(recog_bootnum3 recog_bootnum3.c)
add_prog_target(recogsort recogsort.c)
add_prog_target(recogtest1 recogtest1.c)
add_prog_target(recogtest2 recogtest2.c)
add_prog_target(recogtest3 recogtest3.c)
add_prog_target(recogtest4 recogtest4.c)
add_prog_target(recogtest5 recogtest5.c)
add_prog_target(recogtest6 recogtest6.c)
add_prog_target(recogtest7 recogtest7.c)
add_prog_target(reducetest reducetest.c)
add_prog_target(removecmap removecmap.c)

=== src/CMakeLists.txt ===
#
# leptonica
#

################################################################################

########################################
# SHARED LIBRARY leptonica
########################################

file(GLOB hdr "*.h")
file(GLOB src "*.c")
if (MSVC)
    set_source_files_properties(${src} PROPERTIES LANGUAGE CXX)
endif()

string(REPLACE "-O3" "-O2" CMAKE_C_FLAGS_RELEASE ${CMAKE_C_FLAGS_RELEASE})

add_library                     (leptonica ${src} ${hdr})
set_target_properties           (leptonica PROPERTIES VERSION   ${VERSION_PLAIN})
set_target_properties           (leptonica PROPERTIES SOVERSION 5.4.0)
if (WIN32)
set_target_properties           (leptonica PROPERTIES OUTPUT_NAME       leptonica-${VERSION_PLAIN})
set_target_properties           (leptonica PROPERTIES DEBUG_OUTPUT_NAME leptonica-${VERSION_PLAIN}d)
else()
set_target_properties           (leptonica PROPERTIES OUTPUT_NAME       leptonica)
set_target_properties           (leptonica PROPERTIES DEBUG_OUTPUT_NAME leptonica)
endif()

if (BUILD_SHARED_LIBS)
    target_compile_definitions  (leptonica PRIVATE -DLIBLEPT_EXPORTS)
endif()

if (GIF_LIBRARIES)
    target_include_directories  (leptonica PUBLIC ${GIF_INCLUDE_DIR})
    target_link_libraries       (leptonica ${GIF_LIBRARIES})
endif()
if (JPEG_LIBRARIES)
    target_include_directories  (leptonica PUBLIC ${JPEG_INCLUDE_DIR})
    target_link_libraries       (leptonica ${JPEG_LIBRARIES})
endif()
if (JP2K_FOUND)
    target_include_directories  (leptonica PUBLIC ${JP2K_INCLUDE_DIRS})
    target_link_libraries       (leptonica ${JP2K_LIBRARIES})
endif()
if (PNG_LIBRARIES)
    target_include_directories  (leptonica PUBLIC ${PNG_INCLUDE_DIRS})
    target_link_libraries       (leptonica ${PNG_LIBRARIES})
endif()
if (TIFF_LIBRARIES)
    target_include_directories  (leptonica PUBLIC ${TIFF_INCLUDE_DIR})
    target_link_libraries       (leptonica ${TIFF_LIBRARIES})
endif()
if (WEBP_FOUND)
    target_include_directories  (leptonica PUBLIC ${WEBP_INCLUDE_DIRS})
    target_link_libraries       (leptonica ${WEBP_LIBRARIES})
endif()
if (ZLIB_LIBRARIES)
    target_include_directories  (leptonica PUBLIC ${ZLIB_INCLUDE_DIRS})
    target_link_libraries       (leptonica ${ZLIB_LIBRARIES})
endif()

if (UNIX)
    target_link_libraries       (leptonica m)
    set(lib ${CMAKE_SHARED_LIBRARY_PREFIX})
    set(dll ${CMAKE_SHARED_LIBRARY_SUFFIX})
    set(old_target ${lib}lept${dll})
    if (SYM_LINK)
        add_custom_target(lept ALL
            ${CMAKE_COMMAND} -E create_symlink "$<TARGET_FILE:leptonica>" ${old_target}
            DEPENDS ${PROJECT_NAME}
            COMMENT "Creating lept symlink")
        install(FILES ${CMAKE_BINARY_DIR}/src/${old_target} DESTINATION lib)
    endif(SYM_LINK)
endif()

if (NOT SW_BUILD)
    export(TARGETS leptonica FILE ${CMAKE_BINARY_DIR}/LeptonicaTargets.cmake)
else()
    target_link_libraries       (leptonica
        org.sw.demo.gif
        org.sw.demo.jpeg
        org.sw.demo.glennrp.png
        org.sw.demo.tiff
        org.sw.demo.webmproject.webp
        org.sw.demo.uclouvain.openjpeg.openjp2
    )
    file(WRITE ${CMAKE_BINARY_DIR}/LeptonicaTargets.cmake "include(${CMAKE_BINARY_DIR}/cppan.cmake)\n")
    export(TARGETS leptonica APPEND FILE ${CMAKE_BINARY_DIR}/LeptonicaTargets.cmake)
endif()

install(TARGETS leptonica EXPORT LeptonicaTargets RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
install(EXPORT LeptonicaTargets DESTINATION cmake)
install(FILES
    ${hdr}
    ${CMAKE_BINARY_DIR}/src/endianness.h
    DESTINATION include/leptonica)

################################################################################

=== debian/changelog ===
leptonlib (1.79.0-1.1) unstable; urgency=medium

  * Non-maintainer upload by the LTS Team.
    (Closes: #985089)
  * CVE-2020-36277
    denial of service (application crash) via an incorrect left
    shift in pixConvert2To8 in pixconv.c
  * CVE-2020-36278
    heap-based buffer over-read in findNextBorderPixel in ccbord.c
  * CVE-2020-36279
    heap-based buffer over-read in rasteropGeneralLow, related to
    adaptmap_reg.c and adaptmap.c
  * CVE-2020-36280
    heap-based buffer over-read in pixReadFromTiffStream, related
    to tiffio.c
  * CVE-2020-36281
    heap-based buffer over-read in pixFewColorsOctcubeQuantMixed
    in colorquant1.c

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 18 Apr 2021 10:03:02 +0200

leptonlib (1.79.0-1) unstable; urgency=medium

  * New upstream release
  * Serialize tests due to race.
  * Add Multi-Arch: Same (closes: #942062)

 -- Jeff Breidenbach <jab@debian.org>  Thu, 02 Jan 2020 19:02:45 +0000

=== debian/control ===
Source: leptonlib
Priority: optional
Maintainer: Jeff Breidenbach <jab@debian.org>
Build-Depends: debhelper (>= 10.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev (>= 0.4.0), libopenjp2-7-dev, automake, pkg-config, gnuplot-nox, libzzip-dev
Standards-Version: 4.1.3
Section: graphics

Package: libleptonica-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblept5 (= ${binary:Version}), ${misc:Depends}
Description: image processing library
 Well-tested C library for some basic image processing operations,
 along with a description of the functions and some design methods. A
 full set of affine transformations (translation, shear, rotation,
 scaling) on images of all depths is included, with the exception that
 some of the scaling methods do not work at all depths. There are also
 implementations of binary morphology, grayscale morphology,
 convolution and rank order filters, and applications such as jbig2
 image processing and color quantization. You will also find basic
 utilities for the safe and efficient handling of arrays (of strings,
 numbers, number pairs and image-related geometrical objects), byte
 queues, generic stacks, generic lists, and endian-independent
 indexing into 32-bit arrays.

Package: liblept5
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: libleptonica (>= 1.69~)
Replaces: libleptonica (>= 1.69~)
Description: image processing library
 Well-tested C library for some basic image processing operations,
 along with a description of the functions and some design methods. A
 full set of affine transformations (translation, shear, rotation,
 scaling) on images of all depths is included, with the exception that
 some of the scaling methods do not work at all depths. There are also
 implementations of binary morphology, grayscale morphology,
 convolution and rank order filters, and applications such as jbig2
 image processing and color quantization. You will also find basic
 utilities for the safe and efficient handling of arrays (of strings,
 numbers, number pairs and image-related geometrical objects), byte
 queues, generic stacks, generic lists, and endian-independent
 indexing into 32-bit arrays.

Package: leptonica-progs
Section: graphics
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: sample programs for Leptonica image processing library
 Well-tested C library for some basic image processing operations,
 along with a description of the functions and some design methods. A
 full set of affine transformations (translation, shear, rotation,
 scaling) on images of all depths is included, with the exception that
 some of the scaling methods do not work at all depths. There are also
 implementations of binary morphology, grayscale morphology,
 convolution and rank order filters, and applications such as jbig2
 image processing and color quantization. You will also find basic
 utilities for the safe and efficient handling of arrays (of strings,
 numbers, number pairs and image-related geometrical objects), byte
 queues, generic stacks, generic lists, and endian-independent
 indexing into 32-bit arrays.

## leptonlib 1.82.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,7 @@
 #
 ###############################################################################
 
-cmake_minimum_required(VERSION 2.8.11)
+cmake_minimum_required(VERSION 3.1.3)
 cmake_policy(SET CMP0054 NEW)
 
 # In-source builds are disabled.
@@ -42,7 +42,7 @@
 project(leptonica C CXX)
 
 set(VERSION_MAJOR 1)
-set(VERSION_MINOR 79)
+set(VERSION_MINOR 82)
 set(VERSION_PATCH 0)
 set(VERSION_PLAIN ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
 set(MINIMUM_WEBPMUX_VERSION 0.5.0)
@@ -56,6 +56,9 @@
 if(UNIX)
     option(SYM_LINK "Create symlink leptonica -> lept on UNIX" OFF)
 endif()
+
+set(leptonica_INSTALL_CMAKE_DIR "lib/cmake/leptonica"
+    CACHE STRING "Install destination for CMake package files")
 
 if(NOT SW_BUILD)
     find_package(GIF)
@@ -98,6 +101,17 @@
     endif()
     if(NOT JP2K)
         find_path(JP2K_INCLUDE_DIR /openjpeg-2.3/openjpeg.h)
+        find_library(JP2K_LIBRARY NAMES openjp2)
+        if (JP2K_INCLUDE_DIR AND JP2K_LIBRARY)
+             set(JP2K 1)
+             set(JP2K_FOUND TRUE)
+             set(JP2K_LIBRARIES ${JP2K_LIBRARY})
+             set(JP2K_INCLUDE_DIRS ${JP2K_INCLUDE_DIR})
+             set(HAVE_LIBJP2K 1)
+        endif()
+    endif()
+    if(NOT JP2K)
+        find_path(JP2K_INCLUDE_DIR /openjpeg-2.4/openjpeg.h)
         find_library(JP2K_LIBRARY NAMES openjp2)
         if (JP2K_INCLUDE_DIR AND JP2K_LIBRARY)
              set(JP2K 1)
@@ -192,7 +206,11 @@
 
 set(AUTOCONFIG_SRC ${CMAKE_CURRENT_BINARY_DIR}/config_auto.h.in)
 set(AUTOCONFIG ${CMAKE_CURRENT_BINARY_DIR}/src/config_auto.h)
-set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} "${CMAKE_PREFIX_PATH}/include" "${CMAKE_INSTALL_PREFIX}/include")
+if (HAVE_LIBJP2K)
+  set(ADDITIONAL_INCLUDE_DIRS "${JP2K_INCLUDE_DIR}")
+endif()
+set(CMAKE_REQUIRED_INCLUDES ${CMAKE_REQUIRED_INCLUDES} "${CMAKE_PREFIX_PATH}/include" "${CMAKE_INSTALL_PREFIX}/include" "${ADDITIONAL_INCLUDE_DIRS}")
+
 
 include(Configure)
 
@@ -261,7 +279,7 @@
 install(FILES
     ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig.cmake
     ${CMAKE_CURRENT_BINARY_DIR}/LeptonicaConfig-version.cmake
-    DESTINATION cmake)
+    DESTINATION ${leptonica_INSTALL_CMAKE_DIR})
 
 ########################################
 # uninstall target

=== prog/CMakeLists.txt ===
--- 
+++ 
@@ -31,6 +31,7 @@
 add_prog_target(binmorph3_reg binmorph3_reg.c)
 add_prog_target(binmorph4_reg binmorph4_reg.c)
 add_prog_target(binmorph5_reg binmorph5_reg.c)
+add_prog_target(binmorph6_reg binmorph6_reg.c)
 add_prog_target(blackwhite_reg blackwhite_reg.c)
 add_prog_target(blend1_reg blend1_reg.c)
 add_prog_target(blend2_reg blend2_reg.c)
@@ -42,11 +43,14 @@
 add_prog_target(boxa3_reg boxa3_reg.c)
 add_prog_target(boxa4_reg boxa4_reg.c)
 add_prog_target(bytea_reg bytea_reg.c)
+add_prog_target(ccbord_reg ccbord_reg.c)
 add_prog_target(ccthin1_reg ccthin1_reg.c)
 add_prog_target(ccthin2_reg ccthin2_reg.c)
 add_prog_target(checkerboard_reg checkerboard_reg.c)
+add_prog_target(circle_reg circle_reg.c)
 add_prog_target(cmapquant_reg cmapquant_reg.c)
 add_prog_target(colorcontent_reg colorcontent_reg.c)
+add_prog_target(colorfill_reg colorfill_reg.c)
 add_prog_target(coloring_reg coloring_reg.c)
 add_prog_target(colorize_reg colorize_reg.c)
 add_prog_target(colormask_reg colormask_reg.c)
@@ -59,6 +63,7 @@
 add_prog_target(conncomp_reg conncomp_reg.c)
 add_prog_target(conversion_reg conversion_reg.c)
 add_prog_target(convolve_reg convolve_reg.c)
+add_prog_target(crop_reg crop_reg.c)
 add_prog_target(dewarp_reg dewarp_reg.c)
 add_prog_target(distance_reg distance_reg.c)
 add_prog_target(dither_reg dither_reg.c)
@@ -66,6 +71,7 @@
 add_prog_target(dwamorph1_reg dwamorph1_reg.c dwalinear.3.c dwalinearlow.3.c)
 add_prog_target(dwamorph2_reg dwamorph2_reg.c dwalinear.3.c dwalinearlow.3.c)
 add_prog_target(edge_reg edge_reg.c)
+add_prog_target(encoding_reg encoding_reg.c)
 add_prog_target(enhance_reg enhance_reg.c)
 add_prog_target(equal_reg equal_reg.c)
 add_prog_target(expand_reg expand_reg.c)
@@ -86,6 +92,7 @@
 add_prog_target(graymorph2_reg graymorph2_reg.c)
 add_prog_target(grayquant_reg grayquant_reg.c)
 add_prog_target(hardlight_reg hardlight_reg.c)
+add_prog_target(hash_reg hash_reg.c)
 add_prog_target(heap_reg heap_reg.c)
 add_prog_target(insert_reg insert_reg.c)
 add_prog_target(ioformats_reg ioformats_reg.c)
@@ -108,6 +115,7 @@
 add_prog_target(newspaper_reg newspaper_reg.c)
 add_prog_target(numa1_reg numa1_reg.c)
 add_prog_target(numa2_reg numa2_reg.c)
+add_prog_target(numa3_reg numa3_reg.c)
 add_prog_target(overlap_reg overlap_reg.c)
 add_prog_target(pageseg_reg pageseg_reg.c)
 add_prog_target(paintmask_reg paintmask_reg.c)
@@ -192,7 +200,6 @@
 add_prog_target(converttops converttops.c)
 add_prog_target(cornertest cornertest.c)
 add_prog_target(corrupttest corrupttest.c)
-add_prog_target(croptest croptest.c)
 add_prog_target(croptext croptext.c)
 add_prog_target(deskew_it deskew_it.c)
 add_prog_target(dewarprules dewarprules.c)
@@ -215,20 +222,20 @@
 add_prog_target(findpattern1 findpattern1.c)
 add_prog_target(findpattern2 findpattern2.c)
 add_prog_target(findpattern3 findpattern3.c)
-add_prog_target(flipselgen flipselgen.c)
 add_prog_target(fmorphautogen fmorphautogen.c)
 add_prog_target(fpixcontours fpixcontours.c)
 add_prog_target(gammatest gammatest.c)
 add_prog_target(graphicstest graphicstest.c)
 add_prog_target(graymorphtest graymorphtest.c)
 add_prog_target(hashtest hashtest.c)
+add_prog_target(histoduptest histoduptest.c)
 add_prog_target(histotest histotest.c)
-add_prog_target(histoduptest histoduptest.c)
 add_prog_target(htmlviewer htmlviewer.c)
 add_prog_target(imagetops imagetops.c)
 add_prog_target(jbcorrelation jbcorrelation.c)
 add_prog_target(jbrankhaus jbrankhaus.c)
 add_prog_target(jbwords jbwords.c)
+add_prog_target(lightcolortest lightcolortest.c)
 add_prog_target(listtest listtest.c)
 add_prog_target(livre_adapt livre_adapt.c)
 add_prog_target(livre_hmt livre_hmt.c)
@@ -258,17 +265,9 @@
 add_prog_target(printimage printimage.c)
 add_prog_target(printsplitimage printsplitimage.c)
 add_prog_target(printtiff printtiff.c)
+add_prog_target(rasteroptest rasteroptest.c)
 add_prog_target(rbtreetest rbtreetest.c)
 add_prog_target(recog_bootnum1 recog_bootnum1.c)
 add_prog_target(recog_bootnum2 recog_bootnum2.c)
 add_prog_target(recog_bootnum3 recog_bootnum3.c)
 add_prog_target(recogsort recogsort.c)
-add_prog_target(recogtest1 recogtest1.c)
-add_prog_target(recogtest2 recogtest2.c)
-add_prog_target(recogtest3 recogtest3.c)
-add_prog_target(recogtest4 recogtest4.c)
-add_prog_target(recogtest5 recogtest5.c)
-add_prog_target(recogtest6 recogtest6.c)
-add_prog_target(recogtest7 recogtest7.c)
-add_prog_target(reducetest reducetest.c)
-add_prog_target(removecmap removecmap.c)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
     set_source_files_properties(${src} PROPERTIES LANGUAGE CXX)
 endif()
 
-string(REPLACE "-O3" "-O2" CMAKE_C_FLAGS_RELEASE ${CMAKE_C_FLAGS_RELEASE})
+string(REPLACE "-O3" "-O2" CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE}")
 
 add_library                     (leptonica ${src} ${hdr})
 set_target_properties           (leptonica PROPERTIES VERSION   ${VERSION_PLAIN})
@@ -90,7 +90,7 @@
 endif()
 
 install(TARGETS leptonica EXPORT LeptonicaTargets RUNTIME DESTINATION bin LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)
-install(EXPORT LeptonicaTargets DESTINATION cmake)
+install(EXPORT LeptonicaTargets DESTINATION  ${leptonica_INSTALL_CMAKE_DIR})
 install(FILES
     ${hdr}
     ${CMAKE_BINARY_DIR}/src/endianness.h

=== debian/changelog ===
leptonlib (1.82.0-3build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:43:05 +0000

leptonlib (1.82.0-3build3) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 07:02:18 +0000

leptonlib (1.82.0-3build2) lunar; urgency=medium

  * Rebuild against latest tiff

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Feb 2023 14:38:40 -0500

leptonlib (1.82.0-3build1) jammy; urgency=medium

  * No-change rebuild against latest libwebp

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 01 Feb 2022 09:23:10 -0500

leptonlib (1.82.0-3) unstable; urgency=medium

  * Patch flaky test so i386 architecture can build
  * Remove "Multi-Arch: same" because endianness.h on s390

 -- Jeff Breidenbach <jab@debian.org>  Fri, 31 Dec 2021 15:20:26 -0800

leptonlib (1.82.0-2) unstable; urgency=medium

  * Reduce build dependencies (closes: #981316)
  * Close out new version wishlist bug (closes: #993894)
  * Update Debian Policy standards version
  * Update debhelper-compat, as per Lintian request

 -- Jeff Breidenbach <jab@debian.org>  Thu, 09 Dec 2021 12:44:22 -0800

leptonlib (1.82.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jeff Breidenbach <jab@debian.org>  Tue, 30 Nov 2021 20:27:25 -0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,15 @@
 Source: leptonlib
 Priority: optional
-Maintainer: Jeff Breidenbach <jab@debian.org>
-Build-Depends: debhelper (>= 10.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev (>= 0.4.0), libopenjp2-7-dev, automake, pkg-config, gnuplot-nox, libzzip-dev
-Standards-Version: 4.1.3
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Build-Depends: debhelper (>= 12.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev (>= 0.4.0), libopenjp2-7-dev, automake, pkg-config, gnuplot-nox <!nocheck>
+Standards-Version: 4.6.0
+Homepage: http://www.leptonica.org
 Section: graphics
 
 Package: libleptonica-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends: liblept5 (= ${binary:Version}), ${misc:Depends}
 Description: image processing library
  Well-tested C library for some basic image processing operations,
@@ -62,4 +63,3 @@
  numbers, number pairs and image-related geometrical objects), byte
  queues, generic stacks, generic lists, and endian-independent
  indexing into 32-bit arrays.
-

## leptonlib 1.84.1

=== debian/changelog ===
leptonlib (1.84.1-4) unstable; urgency=medium

  * Begin transition (bug #1081319)

 -- Jeff Breidenbach <jab@debian.org>  Fri, 04 Oct 2024 19:21:52 -0700

leptonlib (1.84.1-3) experimental; urgency=medium

  * liblept6 -> libleptonica6 so packagename matches library name

 -- Jeff Breidenbach <jab@debian.org>  Thu, 12 Sep 2024 10:01:02 -0700

leptonlib (1.84.1-2) experimental; urgency=medium

  * liblept5 -> liblept6 (definitely need this)

 -- Jeff Breidenbach <jab@debian.org>  Mon, 09 Sep 2024 19:03:42 -0700

leptonlib (1.84.1-1) experimental; urgency=medium

  * New upstream release.

 -- Jeff Breidenbach <jab@debian.org>  Mon, 03 Jun 2024 10:46:53 -0700

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: leptonlib
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Jeff Breidenbach <jab@debian.org>
+Maintainer: Jeff Breidenbach <jab@debian.org>
 Build-Depends: debhelper (>= 12.0.0), libtiff-dev, libpng-dev, libgif-dev (>= 4.1.6), libwebp-dev (>= 0.4.0), libopenjp2-7-dev, automake, pkg-config, gnuplot-nox <!nocheck>
 Standards-Version: 4.6.0
 Homepage: http://www.leptonica.org
@@ -10,7 +9,7 @@
 Package: libleptonica-dev
 Section: libdevel
 Architecture: any
-Depends: liblept5 (= ${binary:Version}), ${misc:Depends}
+Depends: libleptonica6 (= ${binary:Version}), ${misc:Depends}
 Description: image processing library
  Well-tested C library for some basic image processing operations,
  along with a description of the functions and some design methods. A
@@ -25,7 +24,7 @@
  queues, generic stacks, generic lists, and endian-independent
  indexing into 32-bit arrays.
 
-Package: liblept5
+Package: libleptonica6
 Section: libs
 Architecture: any
 Multi-Arch: same

## leptonlib 1.86.0

=== debian/changelog ===
leptonlib (1.86.0-1) unstable; urgency=medium

  * New upstream release.

 -- Jeff Breidenbach <jab@debian.org>  Sun, 30 Nov 2025 20:26:08 -0800
